cvp.vo

## Class Prestazione

- java.lang.Object
- - cvp.vo.Prestazione

-     public class Prestazione
      extends java.lang.Object

  Contiene i dati di dettaglio della prestazione prescritta

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `codBranca` Codice della branca specialistica della prestazione, come da nomenclatore regionale, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codBranca della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `codCatalogoErog` Il campo, valorizzato unicamente per prescrizioni specialistiche, contiene il codice del catalogo regionale della prestazione erogata, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codCatalogoErog della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `codCatalogoPrescr` Il campo, da utilizzarsi unicamente per prescrizioni specialistiche, deve contenere il codice del catalogo regionale della prestazione prescritta, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codCatalogoPrescr della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `codice` Codice della prestazione specialistica,senza puntino separatore, come da nomenclatore tariffario, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codProdPrest della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `codNomenclNaz` Il campo è di output per l’erogatore ed è impostato dal Sistema TS; è valorizzato unicamente per prescrizioni specialistiche e può contenere: -il valore del codice prestazione secondo il nomenclatore nazionale (nel caso di quelle prestazioni prescritte secondo il nomenclatore regionale che trovano corrispondenza nel nomenclatore nazionale; il campo viene valorizzato sia nel caso in cui il codice prestazione secondo il tariffario nazionale sia uguale o sia diverso da quello secondo il tariffario regionale) oppure -il valore "NONCODIF" (nel caso di quelle prestazioni regionali che non trovano corrispondenza nel nomenclatore nazionale, in quanto "Non Codificate", come sono ad esempio prestazioni ospedaliere passate al regime ambulatoriale (esempio: cataratta), prestazioni riconducibili a prestazioni del nomenclatore nazionale, nuovi LEA nazionali o prestazioni introdotte per adeguamento della tecnologia ma che sono riconosciute in altre regioni e possono essere erogate ad assistiti residenti anche in altre regioni) Oppure -il valore "LAR" (nel casi di prestazioni relative a livelli aggiuntivi regionali), In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codNomenclNaz della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `codPresidio` Presidio di erogazione della prestazione, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codPresidio della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `codProdPrestErog` Codice della prestazione specialistica effettivamente erogata, come da nomenclatore regionale, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codProdPrestErog della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `codReparto` Codice del reparto di erogazione della prestazione, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codReparto della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `dataFineErog` Data fine erogazione, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dataFineErog della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `dataIniErog` Data inizio erogazione, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dataIniErog della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `dataPrenotazione` Il campo, presente unicamente per prescrizioni specialistiche, è valorizzato con la data nel formato aaaammgg Come da definizione del PNGLA la data è riferita all’assegnazione di una disponibilità di prestazione susseguente ad una specifica richiesta, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dataPrenotazione della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `descrizione` Descrizione della prestazione, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $descrProdPrest della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `descrProdPrestErog` Descrizione della prestazione specialistica effettivamente erogata, come da nomenclatore regionale, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $descrProdPrestErog della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `descrTestoLiberoNote` Il campo può essere utilizzato per scrivere una nota esplicativa di ciò che è stato prescritto per prestazioni specialistiche.
    `private java.lang.String` | `dispFust1` Campo per futuro utilizzo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dispFust1 della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `dispFust2` Campo per futuro utilizzo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dispFust2 della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `dispFust3` Campo riservato alle Regioni, nel quale possono inserire informazioni di loro interesse, non controllate dal SAC.
    `private java.lang.String` | `flagErog` Il flag assume diversi valori, ed è riferito a ciò che è stato inserito nel campo codProdPrestErog, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $flagErog della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `garanziaTempiMax` Il campo, presente unicamente per prescrizioni specialistiche, deve essere valorizzato con: 1: utente a cui devono essere garantiti i tempi massimi di attesa 0: utente che non rientra nella categoria precedente, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $garanziaTempiMax della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `impPrestazione` Importo della prestazione, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.
    `private java.lang.String` | `nota` Nota sulla prestazione, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.
    `private java.lang.String` | `numSedute` Numero di sedute prescritte dal medico per prescrizioni cicliche, il campo non è obbligatorio, valorizzato solo per prescrizioni cicliche previste dal DPCM 12 gennaio 2017.
    `private java.lang.String` | `prescrizione1` Campo destinato a informazioni aggiuntive, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $prescrizione1 della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `prescrizione2` Campo destinato a informazioni aggiuntive, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $prescrizione2 della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `prezzo` Prezzo al pubblico della Tariffa della prestazione specialistica, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $prezzo della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `prezzoRimborso` Prezzo rimborso al laboratorio, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $prezzoRimborso della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `quantita` Quantità prescritta, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $quantita della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `quantitaErogata` Quantità effettivamente erogata, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $quantitaErogata della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `statoPresc` Stato in cui si trova la singola prescrizione di una ricetta, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $statoPresc della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `testoLibero` Valore ammesso: null Valori utilizzati in precedenti versioni del documento non vengono più accettati.
    `private java.lang.String` | `tipoAccesso` Il campo, obbligatorio e da utilizzarsi unicamente per prescrizioni specialistiche del catalogo regionale, indica se la prestazione richiesta si riferisce: - ad un primo accesso (prima visita o primo esame di diagnostica strumentale, visita o prestazione di approfondimento erogati da specialista diverso dal primo osservatore e nel caso di un paziente cronico, si considera primo accesso, la visita o l’esame strumentale, necessari in seguito ad un peggioramento del quadro clinico), - ad un accesso successivo (visita o prestazione di approfondimento, per pazienti presi in carico dal primo specialista, , controllo, follow up).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Prestazione()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodBranca()`
    `java.lang.String` | `getCodCatalogoErog()`
    `java.lang.String` | `getCodCatalogoPrescr()`
    `java.lang.String` | `getCodice()`
    `java.lang.String` | `getCodNomenclNaz()`
    `java.lang.String` | `getCodPresidio()`
    `java.lang.String` | `getCodProdPrestErog()`
    `java.lang.String` | `getCodReparto()`
    `java.lang.String` | `getDataFineErog()`
    `java.lang.String` | `getDataIniErog()`
    `java.lang.String` | `getDataPrenotazione()`
    `java.lang.String` | `getDescrizione()`
    `java.lang.String` | `getDescrProdPrestErog()`
    `java.lang.String` | `getDescrTestoLiberoNote()`
    `java.lang.String` | `getDispFust1()`
    `java.lang.String` | `getDispFust2()`
    `java.lang.String` | `getDispFust3()`
    `java.lang.String` | `getFlagErog()`
    `java.lang.String` | `getGaranziaTempiMax()`
    `java.lang.String` | `getImpPrestazione()`
    `java.lang.String` | `getNota()`
    `java.lang.String` | `getNumSedute()`
    `java.lang.String` | `getPrescrizione1()`
    `java.lang.String` | `getPrescrizione2()`
    `java.lang.String` | `getPrezzo()`
    `java.lang.String` | `getPrezzoRimborso()`
    `java.lang.String` | `getQuantita()`
    `java.lang.String` | `getQuantitaErogata()`
    `java.lang.String` | `getStatoPresc()`
    `java.lang.String` | `getTestoLibero()`
    `java.lang.String` | `getTipoAccesso()`
    `void` | `setCodBranca(java.lang.String codBranca)`
    `void` | `setCodCatalogoErog(java.lang.String codCatalogoErog)`
    `void` | `setCodCatalogoPrescr(java.lang.String codCatalogoPrescr)`
    `void` | `setCodice(java.lang.String codice)`
    `void` | `setCodNomenclNaz(java.lang.String codNomenclNaz)`
    `void` | `setCodPresidio(java.lang.String codPresidio)`
    `void` | `setCodProdPrestErog(java.lang.String codProdPrestErog)`
    `void` | `setCodReparto(java.lang.String codReparto)`
    `void` | `setDataFineErog(java.lang.String dataFineErog)`
    `void` | `setDataIniErog(java.lang.String dataIniErog)`
    `void` | `setDataPrenotazione(java.lang.String dataPrenotazione)`
    `void` | `setDescrizione(java.lang.String descrizione)`
    `void` | `setDescrProdPrestErog(java.lang.String descrProdPrestErog)`
    `void` | `setDescrTestoLiberoNote(java.lang.String descrTestoLiberoNote)`
    `void` | `setDispFust1(java.lang.String dispFust1)`
    `void` | `setDispFust2(java.lang.String dispFust2)`
    `void` | `setDispFust3(java.lang.String dispFust3)`
    `void` | `setFlagErog(java.lang.String flagErog)`
    `void` | `setGaranziaTempiMax(java.lang.String garanziaTempiMax)`
    `void` | `setImpPrestazione(java.lang.String impPrestazione)`
    `void` | `setNota(java.lang.String nota)`
    `void` | `setNumSedute(java.lang.String numSedute)`
    `void` | `setPrescrizione1(java.lang.String prescrizione1)`
    `void` | `setPrescrizione2(java.lang.String prescrizione2)`
    `void` | `setPrezzo(java.lang.String prezzo)`
    `void` | `setPrezzoRimborso(java.lang.String prezzoRimborso)`
    `void` | `setQuantita(java.lang.String quantita)`
    `void` | `setQuantitaErogata(java.lang.String quantitaErogata)`
    `void` | `setStatoPresc(java.lang.String statoPresc)`
    `void` | `setTestoLibero(java.lang.String testoLibero)`
    `void` | `setTipoAccesso(java.lang.String tipoAccesso)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### descrizione

          private java.lang.String descrizione

      Descrizione della prestazione, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $descrProdPrest della risposta del servizio SAC visualizzaErogato

    - #### quantita

          private java.lang.String quantita

      Quantità prescritta, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $quantita della risposta del servizio SAC visualizzaErogato

    - #### impPrestazione

          private java.lang.String impPrestazione

      Importo della prestazione, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.

    - #### nota

          private java.lang.String nota

      Nota sulla prestazione, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.

    - #### codice

          private java.lang.String codice

      Codice della prestazione specialistica,senza puntino separatore, come da nomenclatore tariffario, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codProdPrest della risposta del servizio SAC visualizzaErogato

    - #### statoPresc

          private java.lang.String statoPresc

      Stato in cui si trova la singola prescrizione di una ricetta, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $statoPresc della risposta del servizio SAC visualizzaErogato

    - #### testoLibero

          private java.lang.String testoLibero

      Valore ammesso: null Valori utilizzati in precedenti versioni del documento non vengono più accettati.

    - #### descrTestoLiberoNote

          private java.lang.String descrTestoLiberoNote

      Il campo può essere utilizzato per scrivere una nota esplicativa di ciò che è stato prescritto per prestazioni specialistiche.

    - #### codProdPrestErog

          private java.lang.String codProdPrestErog

      Codice della prestazione specialistica effettivamente erogata, come da nomenclatore regionale, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codProdPrestErog della risposta del servizio SAC visualizzaErogato

    - #### descrProdPrestErog

          private java.lang.String descrProdPrestErog

      Descrizione della prestazione specialistica effettivamente erogata, come da nomenclatore regionale, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $descrProdPrestErog della risposta del servizio SAC visualizzaErogato

    - #### flagErog

          private java.lang.String flagErog

      Il flag assume diversi valori, ed è riferito a ciò che è stato inserito nel campo codProdPrestErog, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $flagErog della risposta del servizio SAC visualizzaErogato

    - #### dataIniErog

          private java.lang.String dataIniErog

      Data inizio erogazione, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dataIniErog della risposta del servizio SAC visualizzaErogato

    - #### dataFineErog

          private java.lang.String dataFineErog

      Data fine erogazione, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dataFineErog della risposta del servizio SAC visualizzaErogato

    - #### codPresidio

          private java.lang.String codPresidio

      Presidio di erogazione della prestazione, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codPresidio della risposta del servizio SAC visualizzaErogato

    - #### codReparto

          private java.lang.String codReparto

      Codice del reparto di erogazione della prestazione, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codReparto della risposta del servizio SAC visualizzaErogato

    - #### prescrizione1

          private java.lang.String prescrizione1

      Campo destinato a informazioni aggiuntive, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $prescrizione1 della risposta del servizio SAC visualizzaErogato

    - #### prescrizione2

          private java.lang.String prescrizione2

      Campo destinato a informazioni aggiuntive, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $prescrizione2 della risposta del servizio SAC visualizzaErogato

    - #### codBranca

          private java.lang.String codBranca

      Codice della branca specialistica della prestazione, come da nomenclatore regionale, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codBranca della risposta del servizio SAC visualizzaErogato

    - #### prezzo

          private java.lang.String prezzo

      Prezzo al pubblico della Tariffa della prestazione specialistica, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $prezzo della risposta del servizio SAC visualizzaErogato

    - #### quantitaErogata

          private java.lang.String quantitaErogata

      Quantità effettivamente erogata, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $quantitaErogata della risposta del servizio SAC visualizzaErogato

    - #### prezzoRimborso

          private java.lang.String prezzoRimborso

      Prezzo rimborso al laboratorio, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $prezzoRimborso della risposta del servizio SAC visualizzaErogato

    - #### dispFust1

          private java.lang.String dispFust1

      Campo per futuro utilizzo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dispFust1 della risposta del servizio SAC visualizzaErogato

    - #### dispFust2

          private java.lang.String dispFust2

      Campo per futuro utilizzo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dispFust2 della risposta del servizio SAC visualizzaErogato

    - #### dispFust3

          private java.lang.String dispFust3

      Campo riservato alle Regioni, nel quale possono inserire informazioni di loro interesse, non controllate dal SAC. Deve essere rispettata la lunghezza del campo e l’utilizzo dei caratteri ammessi, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dispFust3 della risposta del servizio SAC visualizzaErogato

    - #### codCatalogoPrescr

          private java.lang.String codCatalogoPrescr

      Il campo, da utilizzarsi unicamente per prescrizioni specialistiche, deve contenere il codice del catalogo regionale della prestazione prescritta, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codCatalogoPrescr della risposta del servizio SAC visualizzaErogato

    - #### tipoAccesso

          private java.lang.String tipoAccesso

      Il campo, obbligatorio e da utilizzarsi unicamente per prescrizioni specialistiche del catalogo regionale, indica se la prestazione richiesta si riferisce: - ad un primo accesso (prima visita o primo esame di diagnostica strumentale, visita o prestazione di approfondimento erogati da specialista diverso dal primo osservatore e nel caso di un paziente cronico, si considera primo accesso, la visita o l’esame strumentale, necessari in seguito ad un peggioramento del quadro clinico), - ad un accesso successivo (visita o prestazione di approfondimento, per pazienti presi in carico dal primo specialista, , controllo, follow up). Valori ammessi: 1= primo accesso, 0= altra tipologia di accesso, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $tipoAccesso della risposta del servizio SAC visualizzaErogato

    - #### codNomenclNaz

          private java.lang.String codNomenclNaz

      Il campo è di output per l’erogatore ed è impostato dal Sistema TS; è valorizzato unicamente per prescrizioni specialistiche e può contenere: -il valore del codice prestazione secondo il nomenclatore nazionale (nel caso di quelle prestazioni prescritte secondo il nomenclatore regionale che trovano corrispondenza nel nomenclatore nazionale; il campo viene valorizzato sia nel caso in cui il codice prestazione secondo il tariffario nazionale sia uguale o sia diverso da quello secondo il tariffario regionale) oppure -il valore "NONCODIF" (nel caso di quelle prestazioni regionali che non trovano corrispondenza nel nomenclatore nazionale, in quanto "Non Codificate", come sono ad esempio prestazioni ospedaliere passate al regime ambulatoriale (esempio: cataratta), prestazioni riconducibili a prestazioni del nomenclatore nazionale, nuovi LEA nazionali o prestazioni introdotte per adeguamento della tecnologia ma che sono riconosciute in altre regioni e possono essere erogate ad assistiti residenti anche in altre regioni) Oppure -il valore "LAR" (nel casi di prestazioni relative a livelli aggiuntivi regionali), In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codNomenclNaz della risposta del servizio SAC visualizzaErogato

    - #### codCatalogoErog

          private java.lang.String codCatalogoErog

      Il campo, valorizzato unicamente per prescrizioni specialistiche, contiene il codice del catalogo regionale della prestazione erogata, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codCatalogoErog della risposta del servizio SAC visualizzaErogato

    - #### garanziaTempiMax

          private java.lang.String garanziaTempiMax

      Il campo, presente unicamente per prescrizioni specialistiche, deve essere valorizzato con: 1: utente a cui devono essere garantiti i tempi massimi di attesa 0: utente che non rientra nella categoria precedente, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $garanziaTempiMax della risposta del servizio SAC visualizzaErogato

    - #### dataPrenotazione

          private java.lang.String dataPrenotazione

      Il campo, presente unicamente per prescrizioni specialistiche, è valorizzato con la data nel formato aaaammgg Come da definizione del PNGLA la data è riferita all’assegnazione di una disponibilità di prestazione susseguente ad una specifica richiesta, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dataPrenotazione della risposta del servizio SAC visualizzaErogato

    - #### numSedute

          private java.lang.String numSedute

      Numero di sedute prescritte dal medico per prescrizioni cicliche, il campo non è obbligatorio, valorizzato solo per prescrizioni cicliche previste dal DPCM 12 gennaio 2017.

  - ### Constructor Detail

    - #### Prestazione

          public Prestazione()

  - ### Method Detail

    - #### getDispFust1

          public java.lang.String getDispFust1()

    - #### setDispFust1

          public void setDispFust1(java.lang.String dispFust1)

    - #### getDispFust2

          public java.lang.String getDispFust2()

    - #### setDispFust2

          public void setDispFust2(java.lang.String dispFust2)

    - #### getDispFust3

          public java.lang.String getDispFust3()

    - #### setDispFust3

          public void setDispFust3(java.lang.String dispFust3)

    - #### getPrezzoRimborso

          public java.lang.String getPrezzoRimborso()

    - #### setPrezzoRimborso

          public void setPrezzoRimborso(java.lang.String prezzoRimborso)

    - #### getQuantitaErogata

          public java.lang.String getQuantitaErogata()

    - #### setQuantitaErogata

          public void setQuantitaErogata(java.lang.String quantitaErogata)

    - #### getPrezzo

          public java.lang.String getPrezzo()

    - #### setPrezzo

          public void setPrezzo(java.lang.String prezzo)

    - #### getCodBranca

          public java.lang.String getCodBranca()

    - #### setCodBranca

          public void setCodBranca(java.lang.String codBranca)

    - #### getPrescrizione1

          public java.lang.String getPrescrizione1()

    - #### setPrescrizione1

          public void setPrescrizione1(java.lang.String prescrizione1)

    - #### getPrescrizione2

          public java.lang.String getPrescrizione2()

    - #### setPrescrizione2

          public void setPrescrizione2(java.lang.String prescrizione2)

    - #### getDescrizione

          public java.lang.String getDescrizione()

    - #### setDescrizione

          public void setDescrizione(java.lang.String descrizione)

    - #### getQuantita

          public java.lang.String getQuantita()

    - #### setQuantita

          public void setQuantita(java.lang.String quantita)

    - #### getImpPrestazione

          public java.lang.String getImpPrestazione()

    - #### setImpPrestazione

          public void setImpPrestazione(java.lang.String impPrestazione)

    - #### getNota

          public java.lang.String getNota()

    - #### setNota

          public void setNota(java.lang.String nota)

    - #### getCodice

          public java.lang.String getCodice()

    - #### setCodice

          public void setCodice(java.lang.String codice)

    - #### getStatoPresc

          public java.lang.String getStatoPresc()

    - #### setStatoPresc

          public void setStatoPresc(java.lang.String statoPresc)

    - #### getTestoLibero

          public java.lang.String getTestoLibero()

    - #### setTestoLibero

          public void setTestoLibero(java.lang.String testoLibero)

    - #### getDescrTestoLiberoNote

          public java.lang.String getDescrTestoLiberoNote()

    - #### setDescrTestoLiberoNote

          public void setDescrTestoLiberoNote(java.lang.String descrTestoLiberoNote)

    - #### getFlagErog

          public java.lang.String getFlagErog()

    - #### setFlagErog

          public void setFlagErog(java.lang.String flagErog)

    - #### getDataIniErog

          public java.lang.String getDataIniErog()

    - #### setDataIniErog

          public void setDataIniErog(java.lang.String dataIniErog)

    - #### getDataFineErog

          public java.lang.String getDataFineErog()

    - #### setDataFineErog

          public void setDataFineErog(java.lang.String dataFineErog)

    - #### getCodPresidio

          public java.lang.String getCodPresidio()

    - #### setCodPresidio

          public void setCodPresidio(java.lang.String codPresidio)

    - #### getCodReparto

          public java.lang.String getCodReparto()

    - #### setCodReparto

          public void setCodReparto(java.lang.String codReparto)

    - #### getCodProdPrestErog

          public java.lang.String getCodProdPrestErog()

    - #### setCodProdPrestErog

          public void setCodProdPrestErog(java.lang.String codProdPrestErog)

    - #### getDescrProdPrestErog

          public java.lang.String getDescrProdPrestErog()

    - #### setDescrProdPrestErog

          public void setDescrProdPrestErog(java.lang.String descrProdPrestErog)

    - #### getCodCatalogoPrescr

          public java.lang.String getCodCatalogoPrescr()

    - #### setCodCatalogoPrescr

          public void setCodCatalogoPrescr(java.lang.String codCatalogoPrescr)

    - #### getTipoAccesso

          public java.lang.String getTipoAccesso()

    - #### setTipoAccesso

          public void setTipoAccesso(java.lang.String tipoAccesso)

    - #### getCodNomenclNaz

          public java.lang.String getCodNomenclNaz()

    - #### setCodNomenclNaz

          public void setCodNomenclNaz(java.lang.String codNomenclNaz)

    - #### getGaranziaTempiMax

          public java.lang.String getGaranziaTempiMax()

    - #### setGaranziaTempiMax

          public void setGaranziaTempiMax(java.lang.String garanziaTempiMax)

    - #### getDataPrenotazione

          public java.lang.String getDataPrenotazione()

    - #### setDataPrenotazione

          public void setDataPrenotazione(java.lang.String dataPrenotazione)

    - #### getCodCatalogoErog

          public java.lang.String getCodCatalogoErog()

    - #### setCodCatalogoErog

          public void setCodCatalogoErog(java.lang.String codCatalogoErog)

    - #### getNumSedute

          public java.lang.String getNumSedute()

    - #### setNumSedute

          public void setNumSedute(java.lang.String numSedute)